/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _DragonEggBox;
        public static UIKey DragonEggBox => _DragonEggBox ?? (_DragonEggBox = new UIKey("DragonEgg", "Box", typeof(DragonEggBoxView)));
    }
    public partial class DragonEggBoxView : UIView
    {

        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new DragonEggBoxCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new DragonEggBoxVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

